Main Page Packages Class Hierarchy Compound List File List Compound Members

# elementsetattributenomodificationallowederrEE Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| elementsetattributenomodificationallowederrEE (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "setAttribute(name,value)" method for an attribute causes the DOMException NO_MODIFICATION_ALLOWED_ERR to be raised if the node is readonly.

Add an ent4 reference to the children of the THIRD "gender" element. Try to remove the "domestic" attribute from the entity reference by executing the "setAttribute(name,value)" method. This causes a NO_MODIFICATION_ALLOWED_ERR DOMException to be thrown.

Author:
  Curt Arnold

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68F082 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-F68F082')/raises/exception[@name='DOMException']/descr/p[substring-before(.,':')='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68F082 , http://www.w3.org/2001/DOM-Test-Suite/level1/core/elementsetattributenomodificationallowederr.xml

Definition at line 49 of file elementsetattributenomodificationallowederrEE.java.

## Constructor & Destructor Documentation

elementsetattributenomodificationallowederrEE::elementsetattributenomodificationallowederrEE | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file elementsetattributenomodificationallowederrEE.java.
    00052  {
    00053       super(factory);
    00054
    00055    }

## Member Function Documentation

String elementsetattributenomodificationallowederrEE::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 84 of file elementsetattributenomodificationallowederrEE.java.
    00084                                 {
    00085       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/elementsetattributenomodificationallowederrEE";
    00086    }

void elementsetattributenomodificationallowederrEE::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 87 of file elementsetattributenomodificationallowederrEE.java. References DOMTestCase::doMain().
    00087                                           {
    00088         DOMTestCase.doMain(elementsetattributenomodificationallowederrEE.class,args);
    00089    }

void elementsetattributenomodificationallowederrEE::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 57 of file elementsetattributenomodificationallowederrEE.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00057                                                     {
    00058       Document doc;
    00059       NodeList genderList;
    00060       Node gender;
    00061       EntityReference entRef;
    00062       Element entElement;
    00063       Node appendedChild;
    00064       doc = load("staff");
    00065       genderList = doc.getElementsByTagName("gender");
    00066       gender = genderList.item(2);
    00067       entRef = doc.createEntityReference("ent4");
    00068       appendedChild = gender.appendChild(entRef);
    00069       entElement = (Element)entRef.getFirstChild();
    00070
    00071         {
    00072                 boolean success = false;
    00073                 try {
    00074                         entElement.setAttribute("newAttr","newValue");
    00075
    00076                 }
    00077                 catch(DOMException ex) {
    00078                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00079                 }
    00080                 assertTrue("throw_NO_MODIFICATION_ALLOWED_ERR",success);
    00081         }
    00082
    00083    }

The documentation for this class was generated from the following file:

- elementsetattributenomodificationallowederrEE.java